/**
 * Парсит массив accept строк и возвращает мета-информацию о разрешенных типах файлов.
 */
export const getAcceptMeta = (accept) => accept.reduce((result, acceptString) => {
    if (acceptString.includes('/')) {
        result.isOnlyExtensions = false;
        if (acceptString.endsWith('/*')) {
            result.generalMimeTypes.push(acceptString);
        }
        else {
            result.mimeTypes.push(acceptString);
        }
    }
    if (!acceptString.includes('/') && acceptString.includes('.')) {
        result.extensions.push(acceptString.replace('.', '').toLowerCase());
    }
    return result;
}, {
    extensions: [],
    mimeTypes: [],
    generalMimeTypes: [],
    isOnlyExtensions: true,
});
